Getting a list of contractor applications from the garage
Getting a list of contractor applications from the garage with pagination
Request
GET
https://fleet-api.taxi.yandex.net/v1/parks/contractors/applications/list
Query parameters
|
Name |
Description |
|
cursor |
Type: string Cursor for obtaining the next data chunk Example: |
|
date_start |
Type: string<date-time> Start date for filtering by last booking time in ISO 8601. Can be passed on the first page only (without cursor). Example: |
|
limit |
Type: integer Limit of elements in response Default: Min value: Max value: |
Headers
|
Name |
Description |
|
X-API-Key |
Type: string API-key Min length: Example: |
|
X-Client-ID |
Type: string Client ID Min length: Example: |
|
X-Park-ID |
Type: string Partner ID Example: |
|
Accept-Language |
Type: string Preferred language of the response. Defaults to ru if not specified. Min length: Example: |
Responses
200 OK
List of vehicle applications
Body
application/json
{
"items": [
{
"lead_id": "550e8400-e29b-41d4-a716-446655440000",
"driver_id": "33de650c6a1a40bfa78dd981817da866",
"driver_link": "https://fleet.yandex.ru/contractors?park_id=ee6f33c4562b4e1f8646d157bd70b2c4&contractor_id=33de650c6a1a40bfa78dd981817da866",
"driver_name": {
"first_name": "Ivan",
"middle_name": "Ivanovich",
"last_name": "Ivanov"
},
"driver_license": "7700123456",
"phone": "+79999999999",
"vehicle_id": "5011ade6ba054dfdb7143c8cc9460dbc",
"vehicle_brand": "Toyota",
"vehicle_model": "Camry",
"territory_id": "213",
"territory_name": "Москва",
"offer_link": "https://garage.yandex.ru/offer?posting_id=posting_id1&territory_id=213",
"schema": {
"price": "1500.0000",
"working_days": 6,
"non_working_days": 1
},
"request_type": "multiple",
"created_at": "2023-12-15T09:00:00+03:00",
"updated_at": "2023-12-15T14:30:00+03:00"
}
],
"cursor": "eyJsZWFkX2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDAwIn0="
}
|
Name |
Description |
|
items |
Type: ContractorApplicationItem[] List of applications Example
|
|
cursor |
Type: string Cursor for next page Example: |
FirstName
Name
Type: string
Example: Ivan
MiddleName
Middle name
Type: string
Example: Ivanovich
LastName
Last name
Type: string
Example: Ivanov
FullName
Driver's full name
|
Name |
Description |
|
first_name |
Type: FirstName Name Example: |
|
last_name |
Type: LastName Last name Example: |
|
middle_name |
Type: MiddleName Middle name Example: |
Example
{
"first_name": "Ivan",
"middle_name": "Ivanovich",
"last_name": "Ivanov"
}
ContractorApplicationItem
|
Name |
Description |
||||||
|
lead_id |
Type: string<uuid> Lead ID Example: |
||||||
|
phone |
Type: string Phone number Example: |
||||||
|
vehicle_id |
Type: string Vehicle ID Example: |
||||||
|
created_at |
Type: string<date-time> Application creation date and time Example: |
||||||
|
driver_id |
Type: string Driver ID Example: |
||||||
|
driver_license |
Type: string Driver's license number Example: |
||||||
|
driver_link |
Type: string Link to contractor or candidate profile in the Dispatcher Example: |
||||||
|
driver_name |
Type: FullName Driver's full name Example
|
||||||
|
offer_link |
Type: string Link to garage posting Example: |
||||||
|
request_type |
Type: string Request type: phonecall - created by phone call, multiple - multibooking Enum: |
||||||
|
schema |
Type: object
Rental scheme Example
|
||||||
|
territory_id |
Type: string Territory ID Example: |
||||||
|
territory_name |
Type: string Territory name Example: |
||||||
|
updated_at |
Type: string<date-time> Application update date and time Example: |
||||||
|
vehicle_brand |
Type: string Vehicle brand Example: |
||||||
|
vehicle_model |
Type: string Vehicle model Example: |
Example
{
"lead_id": "550e8400-e29b-41d4-a716-446655440000",
"driver_id": "33de650c6a1a40bfa78dd981817da866",
"driver_link": "https://fleet.yandex.ru/contractors?park_id=ee6f33c4562b4e1f8646d157bd70b2c4&contractor_id=33de650c6a1a40bfa78dd981817da866",
"driver_name": {
"first_name": "Ivan",
"middle_name": "Ivanovich",
"last_name": "Ivanov"
},
"driver_license": "7700123456",
"phone": "+79999999999",
"vehicle_id": "5011ade6ba054dfdb7143c8cc9460dbc",
"vehicle_brand": "Toyota",
"vehicle_model": "Camry",
"territory_id": "213",
"territory_name": "Москва",
"offer_link": "https://garage.yandex.ru/offer?posting_id=posting_id1&territory_id=213",
"schema": {
"price": "1500.0000",
"working_days": 6,
"non_working_days": 1
},
"request_type": "multiple",
"created_at": "2023-12-15T09:00:00+03:00",
"updated_at": "2023-12-15T14:30:00+03:00"
}
400 Bad Request
Invalid request parameters
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
401 Unauthorized
Request authorization parameters are missing
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
403 Forbidden
Insufficient rights to execute the request
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
429 Too Many Requests
Limit of requests was exceeded
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |
500 Internal Server Error
Internal server error
Body
application/json
{
"code": "example",
"message": "Textual description of the error"
}
|
Name |
Description |
|
message |
Type: string Human-readable error message Example: |
|
code |
Type: string Machine-readable error code Example: |